package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class CppUnitHudsonTestType extends TestType {

@DataBoundConstructor
public CppUnitHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<?> getDescriptor() {
 return new CppUnitHudsonTestType.DescriptorImpl();
}

@Extension
public static class DescriptorImpl extends TestTypeDescriptor<CppUnitHudsonTestType> {

  public DescriptorImpl() {
     super(CppUnitHudsonTestType.class, com.thalesgroup.dtkit.junit.CppUnit.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.CppUnit";
}

}

}
