package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class MSTestHudsonTestType extends TestType {

@DataBoundConstructor
public MSTestHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<?> getDescriptor() {
 return new MSTestHudsonTestType.DescriptorImpl();
}

@Extension
public static class DescriptorImpl extends TestTypeDescriptor<MSTestHudsonTestType> {

  public DescriptorImpl() {
     super(MSTestHudsonTestType.class, com.thalesgroup.dtkit.junit.MSTest.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.MSTest";
}

}

}
