package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class NUnitHudsonTestType extends TestType {

@DataBoundConstructor
public NUnitHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<?> getDescriptor() {
 return new NUnitHudsonTestType.DescriptorImpl();
}

@Extension
public static class DescriptorImpl extends TestTypeDescriptor<NUnitHudsonTestType> {

  public DescriptorImpl() {
     super(NUnitHudsonTestType.class, com.thalesgroup.dtkit.junit.NUnit.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.NUnit";
}

}

}
