package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class TUSARHudsonTestType extends TestType {

@DataBoundConstructor
public TUSARHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<?> getDescriptor() {
 return new TUSARHudsonTestType.DescriptorImpl();
}

@Extension
public static class DescriptorImpl extends TestTypeDescriptor<TUSARHudsonTestType> {

  public DescriptorImpl() {
     super(TUSARHudsonTestType.class, com.thalesgroup.dtkit.junit.Tusar.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.Tusar";
}

}

}
